Resynchronize Deployments
- POST /deployments/_resync
Resynchronizes the search index for all the deployments.
Query Parameters
-
skip_matching_versionboolean · default: true When true, skips the document indexing when the version matches the in-memory copy.
Responses
The deployments resync operation executed successfully.
-
createdstringrequired -
The ids of documents created in the index by index version
-
updatedstringrequired -
The ids of documents updated in the index by index version
-
deletedstringrequired -
The ids of documents deleted from the index by index version
-
errorsstringrequired -
The regions where document synchronization may have failed
The deployments resync operation failed. (code: deployments.resync_failed)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response